Xorg Errors

Issues Related to Hardware (Sound, Video, Printers, Scanners, Webcams, Touchpads, Keyboards, Sensors, Drives, GRUB, etc.)

Moderator: Moderators

Post Reply
lamxuyen1234
Baby Hen
Posts: 1
Joined: Mon Sep 10, 2018 10:48

Xorg Errors

Post by lamxuyen1234 » Mon Sep 10, 2018 10:51

Edit by Sabayonino
The content (and the user) of this post was replaced by bot/spam user
Staff is working to restore the original post.
Last edited by lamxuyen1234 on Thu Nov 29, 2018 4:44, edited 1 time in total.

User avatar
Fitzcarraldo
Sagely Hen
Posts: 8116
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom
Contact:

Re: Xorg Errors

Post by Fitzcarraldo » Mon Sep 10, 2018 15:06

Are there any messages in ~/.xsession-errors and /var/log/Xorg.0.log that could shed light on the cause of the problem?

Tedel
Growing Hen
Posts: 111
Joined: Sun Mar 10, 2013 5:32
Location: Peru
Contact:

Re: Xorg Errors

Post by Tedel » Mon Sep 10, 2018 18:17

I also had this problem. Downgrading to the sabayon-weekly repo helped me get my computer working again.

I tried to upgrade again to see if I could find the problem, and I think I got something. Take a look at this:

Code: Select all

# equo upgrade --ask --multifetch 10 --purge
╠  @@ Calculating System Updates: 
╠  @@ Calculating dependencies...
╠  @@ These are the packages that would be installed:
╠  ## [U] [sabayon-weekly->sabayonlinux.org] sys-devel/llvm-common-6.0.1|0   [5.0.1|1]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] net-print/cups-2.2.8-r1|0   [2.2.7|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] net-print/cups-filters-1.21.2|0   [1.20.4|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] media-video/vlc-3.0.4|0   [3.0.3-r1|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] sys-kernel/linux-sabayon-4.14.68|0   [4.14.67|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] sys-fs/zfs-kmod-0.7.8#4.14.0-sabayon#4.14.0-sabayon|10   [0.7.8|9|4.14.0-sabayon]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] net-im/skypeforlinux-8.28.0.41|0   [8.27.0.85|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] app-arch/unrar-5.6.6|0   [5.6.5|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] sys-apps/entropy-314|0   [313|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] app-admin/equo-314|0   [313|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] sys-kernel/linux-sabayon-4.18.6|2   [4.18.6|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] app-misc/sabayon-version-18.10|0   [18.09|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] sys-power/bbswitch-0.8-r1#4.14.0-sabayon#4.14.0-sabayon|29   [0.8-r1|28|4.14.0-sabayon]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] sys-apps/rigo-daemon-314|0   [313|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] app-admin/rigo-314|0   [313|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] app-misc/ca-certificates-20180409.3.37|0   [20180409.3.36.1-r1|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] www-client/google-chrome-69.0.3497.81|0   [68.0.3440.106|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] app-emulation/virtualbox-modules-5.2.18#4.14.0-sabayon#4.14.0-sabayon|1   [5.2.18|0|4.14.0-sabayon]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] media-gfx/krita-4.0.4|0   [4.0.3|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] www-client/firefox-62.0-r1|0   [61.0-r1|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] www-client/firefox-l10n-en-GB-62.0-r1|0   [61.0|0]
╠  ## [U] [sabayon-weekly->sabayonlinux.org] www-plugins/chrome-binary-plugins-69.0.3497.81|0   [68.0.3440.106|0]
╠  @@ Packages needing to be installed/updated/downgraded: 22
╠  @@ Packages needing to be removed: 0
╠  @@ Packages needing to be installed: 0
╠  @@ Packages needing to be reinstalled: 0
╠  @@ Packages needing to be updated: 22
╠  @@ Packages needing to be downgraded: 0
╠  @@ Download size: 436.7MB
╠  @@ Freed disk space: 59.5MB
╠  @@ You need at least: 813.9MB of free space
     Would you like to continue ? [Yes/No]
If you upgrade the kernel, you should reinstall the Nvidia drivers modules, don't you? Well, Equo is not calling "Nvidia Drivers 390.77#4.18" or "Nvidia Drivers 390.77#4.14" in this list of upgrades. Could this cause the problem?

Tedel
Growing Hen
Posts: 111
Joined: Sun Mar 10, 2013 5:32
Location: Peru
Contact:

Re: Xorg Errors

Post by Tedel » Tue Sep 11, 2018 16:06

This is what Xorg file says:

Code: Select all

[    10.856] (--) Log file renamed from "/var/log/Xorg.pid-1440.log" to "/var/log/Xorg.0.log"
[    10.857] 
X.Org X Server 1.19.5
Release Date: 2017-10-12
[    10.857] X Protocol Version 11, Revision 0
[    10.857] Build Operating System: Linux 4.9.0-sabayon x86_64 Gentoo
[    10.857] Current Operating System: Linux computer 4.14.0-sabayon #1 SMP Sat Sep 8 17:31:37 UTC 2018 x86_64
[    10.857] Kernel command line: BOOT_IMAGE=/kernel-genkernel-x86_64-4.14.0-sabayon root=UUID=24afa270-43da-473a-870e-1b0c2733a816 ro locale=en_US resume=/dev/sda5 dolvm vconsole.keymap=es rd.vconsole.keymap=es splash quiet
[    10.857] Build Date: 14 June 2018  12:41:25PM
[    10.857]  
[    10.857] Current version of pixman: 0.34.0
[    10.857] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    10.857] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    10.857] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Sep 11 09:15:54 2018
[    10.857] (==) Using config file: "/etc/X11/xorg.conf"
[    10.857] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    10.857] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    10.858] (==) ServerLayout "Main Layout"
[    10.858] (**) |-->Screen "Screen 0" (0)
[    10.858] (**) |   |-->Monitor "Generic Monitor"
[    10.859] (**) |   |-->Device "SabayonVga0"
[    10.859] (**) Option "AllowMouseOpenFail" "true"
[    10.859] (==) Automatically adding devices
[    10.859] (==) Automatically enabling devices
[    10.859] (==) Automatically adding GPU devices
[    10.859] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    10.859] (WW) The directory "/usr/share/fonts/TTF/" does not exist.
[    10.859] 	Entry deleted from font path.
[    10.859] (WW) The directory "/usr/share/fonts/OTF/" does not exist.
[    10.859] 	Entry deleted from font path.
[    10.859] (WW) The directory "/usr/share/fonts/Type1/" does not exist.
[    10.859] 	Entry deleted from font path.
[    10.859] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi/".
[    10.859] 	Entry deleted from font path.
[    10.859] 	(Run 'mkfontdir' on "/usr/share/fonts/75dpi/").
[    10.859] (==) FontPath set to:
	/usr/share/fonts/misc/,
	/usr/share/fonts/100dpi/
[    10.859] (**) ModulePath set to "/usr/lib64/opengl/nvidia,/usr/lib64/xorg/modules"
[    10.859] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    10.859] (II) Loader magic: 0x55d08fd29ce0
[    10.859] (II) Module ABI versions:
[    10.859] 	X.Org ANSI C Emulation: 0.4
[    10.859] 	X.Org Video Driver: 23.0
[    10.859] 	X.Org XInput driver : 24.1
[    10.859] 	X.Org Server Extension : 10.0
[    10.860] (++) using VT number 1

[    10.861] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
[    10.862] (II) xfree86: Adding drm device (/dev/dri/card0)
[    10.869] (--) PCI:*(0:1:0:0) 10de:104a:1043:840d rev 161, Mem @ 0xfd000000/16777216, 0xf0000000/134217728, 0xf8000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/131072
[    10.870] (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
[    10.870] (II) LoadModule: "extmod"
[    10.870] (II) Module "extmod" already built-in
[    10.870] (II) LoadModule: "i2c"
[    10.870] (II) Module "i2c" already built-in
[    10.870] (II) LoadModule: "ddc"
[    10.870] (II) Module "ddc" already built-in
[    10.870] (II) LoadModule: "vbe"
[    10.870] (II) Loading /usr/lib64/xorg/modules/libvbe.so
[    10.870] (II) Module vbe: vendor="X.Org Foundation"
[    10.870] 	compiled for 1.19.5, module version = 1.1.0
[    10.870] 	ABI class: X.Org Video Driver, version 23.0
[    10.870] (II) LoadModule: "dri"
[    10.870] (II) Module "dri" already built-in
[    10.871] (II) LoadModule: "glx"
[    10.871] (II) Loading /usr/lib64/opengl/nvidia/extensions/libglx.so
[    10.881] (II) Module glx: vendor="NVIDIA Corporation"
[    10.881] 	compiled for 4.0.2, module version = 1.0.0
[    10.881] 	Module class: X.Org Server Extension
[    10.881] (II) NVIDIA GLX Module  390.77  Tue Jul 10 22:05:43 PDT 2018
[    10.881] (II) LoadModule: "synaptics"
[    10.882] (II) Loading /usr/lib64/xorg/modules/input/synaptics_drv.so
[    10.882] (II) Module synaptics: vendor="X.Org Foundation"
[    10.882] 	compiled for 1.19.5, module version = 1.9.1
[    10.882] 	Module class: X.Org XInput Driver
[    10.883] 	ABI class: X.Org XInput driver, version 24.1
[    10.883] (II) LoadModule: "nvidia"
[    10.883] (II) Loading /usr/lib64/xorg/modules/drivers/nvidia_drv.so
[    10.884] (II) Module nvidia: vendor="NVIDIA Corporation"
[    10.884] 	compiled for 4.0.2, module version = 1.0.0
[    10.884] 	Module class: X.Org Video Driver
[    10.884] (II) NVIDIA dlloader X Driver  390.77  Tue Jul 10 21:41:24 PDT 2018
[    10.884] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    10.884] (II) Loading sub module "fb"
[    10.884] (II) LoadModule: "fb"
[    10.884] (II) Loading /usr/lib64/xorg/modules/libfb.so
[    10.885] (II) Module fb: vendor="X.Org Foundation"
[    10.885] 	compiled for 1.19.5, module version = 1.0.0
[    10.885] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    10.885] (II) Loading sub module "wfb"
[    10.885] (II) LoadModule: "wfb"
[    10.885] (II) Loading /usr/lib64/xorg/modules/libwfb.so
[    10.886] (II) Module wfb: vendor="X.Org Foundation"
[    10.886] 	compiled for 1.19.5, module version = 1.0.0
[    10.886] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    10.886] (II) Loading sub module "ramdac"
[    10.886] (II) LoadModule: "ramdac"
[    10.886] (II) Module "ramdac" already built-in
[    10.944] (EE) NVIDIA: Failed to initialize the NVIDIA kernel module. Please see the
[    10.944] (EE) NVIDIA:     system's kernel log for additional error messages and
[    10.944] (EE) NVIDIA:     consult the NVIDIA README for details.
[    10.944] (EE) No devices detected.
[    10.945] (EE) 
Fatal server error:
[    10.945] (EE) no screens found(EE) 
[    10.945] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[    10.945] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    10.945] (EE) 
[    10.990] (EE) Server terminated with error (1). Closing log file.
I made sure the correct Nvidia driver for that computer was installed.

joost
Sagely Hen
Posts: 2718
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Xorg Errors

Post by joost » Tue Sep 11, 2018 18:45

@Tedel: Not sure if we are going off topic here, but it seems there is a little bug in the new Entropy version 314.

When you use kernel-switcher switch it only seems to install the requested kernel, but fails to find the modules for the current running kernel.
So when you have 4.14 kernel running and wanted to install 4.18 kernel you would run:

Code: Select all

kernel-switcher switch sys-kernel/linux-sabayon-4.18.6
If this only install the 4.18 kernel and fails to also install the modules (e.g. nvidia-drivers) the system lacks working drivers for that kernel and fails.

A possible workaround would be:

Code: Select all

kernel-switcher switch sys-kernel/linux-sabayon-4.18.6 --from-running
We have the matter under investigation and will NOT bump weekly until this is resolved.

@Fitz : You might wanna split off this topic.
Image
My blog | Twitter | Please support Sabayon: Image

Tedel
Growing Hen
Posts: 111
Joined: Sun Mar 10, 2013 5:32
Location: Peru
Contact:

Re: Xorg Errors

Post by Tedel » Tue Sep 18, 2018 21:34

Joost, I ran an upgrade of everything and then downgraded the kernel with the sabayon-weekly repo. It works. It seems there is something wrong with either the newest kernel or with the way Nouveau is blacklisted by it. This other thread should be related.

Post Reply